GWT 2.7.0

## com.google.gwt.core.client.js
Annotation Type JsProperty

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    @Documented
    public @interface JsProperty

JsProperty marks a method in a `JsType` as a property accessor and recognizes JavaBean style naming convention. Instead of translating method calls to JsProperty methods as method calls in JS, they will be replaced with dotted property lookups.

Examples:

- `@JsProperty getX()` translates as `this.x`
- `@JsProperty x()` translates as `this.x`
- `@JsProperty setX(int y)` translates as `this.x=y`
- `@JsProperty x(int x)` translates as `this.x=y`
- `@JsProperty hasX(int x)` translates as `x in this`

In addition, fluent style `return this` syntax is supported for setters, so `@JsProperty T setX(int x)` translates as `this.x=x, return this`.

Optional Element Summary
`java.lang.String` | `value`

### value

    public abstract java.lang.String value

  Default:
    ""

GWT 2.7.0